Kerbal Space Program - Bug #20783

Frozen Part List
01/02/2019 04:09 PM - GreekYogurt_OG

Status: Closed Start date: 01/02/2019
Severity: Low % Done: 100%
Assignee: Robert.Keech

Category: Controls and Ul

Target version:

Version: 1.6.0 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion: Core Game

Description

So shortly after downloading 1.6, I've had this problem with the part list. The parts in the list remain the same, and nothing I will click
will revert the part list to the correct category. It only happens after | open advanced mode and open a category up. To me, this is a
very large issue, because it refrains me from building anything at all.

So far, it only happened when | placed a command pod, but it's fairly annoying. | have a few mods installed, too. Airplane Plus, BD
armory, TweakScale, and Infernal Robotics.

| can't recall if it also happens on Windows or any other platforms, because | only have a Mac.

History

#1 - 01/02/2019 08:20 PM - GreekYogurt_OG

So shortly after downloading 1.6, I've had this problem with the part list. The parts in the list remain the same, and nothing | will click will revert the
part list to the correct category. It only happens after | open advanced mode and open a category up. To me, this is a very large issue, because it
refrains me from building anything at all. But it's fairly annoying. | have a few mods installed, too. Airplane Plus, BD armory, TweakScale, and Infernal
Robotics.

| can't recall if it also happens on Windows or any other platforms, because | only have a Mac.

#2 - 01/03/2019 05:19 PM - 4x4cheesecake

This seem to happen as soon as a part config doesn't cointain a valid entry for the 'bulkheadProfiles'.
Every stock part got this entry but not every mod part so this might be redirected to mod creators. On the other hand, it would be nice if the game can
handle this exception without having the part list stuck on the cross section profile.

#3 - 01/04/2019 01:36 PM - GreekYogurt_OG

4x4cheesecake wrote:

This seem to happen as soon as a part config doesn't cointain a valid entry for the 'bulkheadProfiles'.
Every stock part got this entry but not every mod part so this might be redirected to mod creators. On the other hand, it would be nice if the game
can handle this exception without having the part list stuck on the cross section profile.

| knew nothing about this. I'm just some guy who builds crazy stuff, and knows nothing about 'bulkheadProfiles' or any of that. Thanks for informing
me.

#4 - 01/06/2019 08:21 PM - 4x4cheesecake

- Platform Linux, Windows added
GreekYogurt_OG wrote:
| knew nothing about this. I'm just some guy who builds crazy stuff, and knows nothing about 'bulkheadProfiles' or any of that. Thanks for

informing me.

It's more about adding informations for SQUAD so they can track down the culprit of the issue ;)
But if you are interested in a quick and dirty solution for yourself, you can take a look into this forum post, where I've posted a workaround (it is not
very accurate but easy””): https:/forum.kerbalspaceprogram.com/index.php?/topic/181078-vab-category-fail/&do=findComment&comment=3517556
https://forum.kerbalspaceprogram.com/index.php?/topic/181078-vab-category-fail/&do=findComment&comment=3517556

#5 - 01/08/2019 01:55 AM - GreekYogurt_OG

Cheesecake, | love the help, but | hate to bear bad news. It hasn't been working, but | found something out. The problem only occurs, or at least as |
can see, when you click on the thermal or ablation tab. It doesn't happen 100% of the time, but it can be fixed quickly by starting the flight then
reverting to the VAB. Something might be wrong in the thermal or ablation tab, so | hope you don't mind trying to search through the CFGs.

#6 - 01/08/2019 04:57 PM - 4x4cheesecake
GreekYogurt_OG wrote:

Cheesecake, | love the help, but | hate to bear bad news. It hasn't been working, but | found something out. The problem only occurs, or at least
as | can see, when you click on the thermal or ablation tab. It doesn't happen 100% of the time, but it can be fixed quickly by starting the flight
then reverting to the VAB. Something might be wrong in the thermal or ablation tab, so | hope you don't mind trying to search through the CFGs.

Do you mind if we take over the discussion to the forum (the linked thread). It would be more convenient and we can still post the results here.
I need a log file to do some futher investigations because | cannot replicate this issue in the ablator/thermal tab.

#7 - 11/04/2019 03:46 PM - Robert.Keech
- Status changed from New to Updated
- Assignee set to Robert.Keech

- % Done changed from 0 to 10

4x4cheesecake wrote:
Every stock part got this entry but not every mod part so this might be redirected to mod creators. On the other hand, it would be nice if the game

can handle this exception without having the part list stuck on the cross section profile.

This would be better off logged in the feedback tracker.
From what i can see regarding this bug it seems that it is a mod related issue to do with outdated mods.

#8 - 11/04/2019 03:46 PM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#9 - 01/24/2020 12:47 AM - chris.fulton

- Status changed from Resolved to Closed
